#
# This file contains an 'Intel Peripheral Driver' and is      
# licensed for Intel CPUs and chipsets under the terms of your
# license agreement with Intel or your vendor.  This file may 
# be modified by the user, subject to additional terms of the 
# license agreement                                           
#
## @file
# Package description file for IA32FamilyCpuPkg.
#
# This DSC file is used for Package Level build.
#
# Copyright (c) 2006 - 2010, Intel Corporation
#
#  All rights reserved.
#    This software and associated documentation (if any) is furnished
#    under a license and may only be used or copied in accordance
#    with the terms of the license. Except as permitted by such
#    license, no part of this software or documentation may be
#    reproduced, stored in a retrieval system, or transmitted in any
#    form or by any means without the express written consent of
#    Intel Corporation.
#
##

################################################################################
#
# Defines Section - statements that will be processed to create a Makefile.
#
################################################################################
[Defines]
  PLATFORM_NAME                  = IA32FamilyCpuPkg
  PLATFORM_GUID                  = 191156A2-3366-4B08-9852-555E828B9575
  PLATFORM_VERSION               = 0.3
  DSC_SPECIFICATION              = 0x00010005
  OUTPUT_DIRECTORY               = Build/IA32FamilyCpuPkg
  SUPPORTED_ARCHITECTURES        = IA32|X64
  BUILD_TARGETS                  = DEBUG|RELEASE
  SKUID_IDENTIFIER               = DEFAULT

################################################################################
#
# SKU Identification section - list of all SKU IDs supported by this
#                              Platform.
#
################################################################################
[SkuIds]
  0|DEFAULT              # The entry: 0|DEFAULT is reserved and always required.


################################################################################
#
# Library Class section - list of all Library Classes needed by this Platform.
#
################################################################################
[LibraryClasses]
  CacheMaintenanceLib|MdePkg/Library/BaseCacheMaintenanceLib/BaseCacheMaintenanceLib.inf
  DebugLib|MdePkg/Library/BaseDebugLibNull/BaseDebugLibNull.inf
  BaseLib|MdePkg/Library/BaseLib/BaseLib.inf
  SynchronizationLib|MdePkg/Library/BaseSynchronizationLib/BaseSynchronizationLib.inf
  CpuLib|MdePkg/Library/BaseCpuLib/BaseCpuLib.inf
  BaseMemoryLib|MdePkg/Library/BaseMemoryLib/BaseMemoryLib.inf
  PciCf8Lib|MdePkg/Library/BasePciCf8Lib/BasePciCf8Lib.inf
  PciExpressLib|MdePkg/Library/BasePciExpressLib/BasePciExpressLib.inf
  PciLib|MdePkg/Library/BasePciLibCf8/BasePciLibCf8.inf
  PeCoffGetEntryPoint|MdePkg/Library/BasePeCoffGetEntryPointLib/BasePeCoffGetEntryPointLib.inf
  PeCoffLib|MdePkg/Library/BasePeCoffLib/BasePeCoffLib.inf
  PeCoffExtraActionLib|MdePkg/Library/BasePeCoffExtraActionLibNull/BasePeCoffExtraActionLibNull.inf
  PerformanceLib|MdePkg/Library/BasePerformanceLibNull/BasePerformanceLibNull.inf
  PostCodeLib|MdePkg/Library/BasePostCodeLibDebug/BasePostCodeLibDebug.inf
  PostCodeLib|MdePkg/Library/BasePostCodeLibPort80/BasePostCodeLibPort80.inf
  PrintLib|MdePkg/Library/BasePrintLib/BasePrintLib.inf
  TimerLib|MdePkg/Library/BaseTimerLibNullTemplate/BaseTimerLibNullTemplate.inf
  UefiDecompressLib|MdePkg/Library/BaseUefiDecompressLib/BaseUefiDecompressLib.inf
  IoLib|MdePkg/Library/BaseIoLibIntrinsic/BaseIoLibIntrinsic.inf
  ResetSystemLib|MdeModulePkg/Library/BaseResetSystemLibNull/BaseResetSystemLibNull.inf
  PcdLib|MdePkg/Library/BasePcdLibNull/BasePcdLibNull.inf
  CpuOnlyResetLib|IA32FamilyCpuPkg/Library/CpuOnlyResetLibNull/CpuOnlyResetLibNull.inf
  OemHookStatusCodeLib|MdeModulePkg/Library/OemHookStatusCodeLibNull/OemHookStatusCodeLibNull.inf
  PlatformSecLib|IA32FamilyCpuPkg/Library/PlatformSecLibNull/PlatformSecLibNull.inf
  DevicePathLib|MdePkg/Library/UefiDevicePathLib/UefiDevicePathLib.inf
  UefiCpuLib|UefiCpuPkg/Library/BaseUefiCpuLib/BaseUefiCpuLib.inf
  BaseMemoryLib|MdePkg/Library/BaseMemoryLib/BaseMemoryLib.inf
  SmbusLib|MdePkg/Library/DxeSmbusLib/DxeSmbusLib.inf
  MtrrLib|UefiCpuPkg/Library/MtrrLib/MtrrLib.inf
  DebugAgentLib|MdeModulePkg/Library/DebugAgentLibNull/DebugAgentLibNull.inf
  PeCoffGetEntryPointLib|MdePkg/Library/BasePeCoffGetEntryPointLib/BasePeCoffGetEntryPointLib.inf
  PeCoffExtraActionLib|MdePkg/Library/BasePeCoffExtraActionLibNull/BasePeCoffExtraActionLibNull.inf

[LibraryClasses.common.PEIM]
  HobLib|MdePkg/Library/PeiHobLib/PeiHobLib.inf
  MemoryAllocationLib|MdePkg/Library/PeiMemoryAllocationLib/PeiMemoryAllocationLib.inf
  PeimEntryPoint|MdePkg/Library/PeimEntryPoint/PeimEntryPoint.inf
  PcdLib|MdePkg/Library/PeiPcdLib/PeiPcdLib.inf
  PeiServicesLib|MdePkg/Library/PeiServicesLib/PeiServicesLib.inf
  PeiServicesTablePointerLib|MdePkg/Library/PeiServicesTablePointerLib/PeiServicesTablePointerLib.inf
  SmBusLib|MdePkg/Library/PeiSmbusLibSmbus2Ppi/PeiSmbusLibSmbus2Ppi.inf
  ReportStatusCodeLib|MdeModulePkg/Library/PeiReportStatusCodeLib/PeiReportStatusCodeLib.inf

[LibraryClasses.common.DXE_DRIVER]
  HobLib|MdePkg/Library/DxeHobLib/DxeHobLib.inf
  MemoryAllocationLib|MdePkg/Library/UefiMemoryAllocationLib/UefiMemoryAllocationLib.inf
  PcdLib|MdePkg/Library/DxePcdLib/DxePcdLib.inf
  SmbusLib|MdePkg/Library/DxeSmbusLib/DxeSmbusLib.inf
  UefiBootServicesTableLib|MdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf
  DebugLib|MdePkg/Library/UefiDebugLibConOut/UefiDebugLibConOut.inf
  DevicePathLib|MdePkg/Library/UefiDevicePathLib/UefiDevicePathLib.inf
  UefiDriverEntryPoint|MdePkg/Library/UefiDriverEntryPoint/UefiDriverEntryPoint.inf
  UefiLib|MdePkg/Library/UefiLib/UefiLib.inf
  UefiRuntimeServicesTableLib|MdePkg/Library/UefiRuntimeServicesTableLib/UefiRuntimeServicesTableLib.inf
  DxeServicesTableLib|MdePkg/Library/DxeServicesTableLib/DxeServicesTableLib.inf
  ReportStatusCodeLib|MdeModulePkg/Library/DxeReportStatusCodeLib/DxeReportStatusCodeLib.inf
  UefiScsiLib|MdePkg/Library/UefiScsiLib/UefiScsiLib.inf
  S3IoLib|TianoModulePkg/Library/BaseS3IoLib/BaseS3IoLib.inf
  S3PciLib|TianoModulePkg/Library/BaseS3PciLib/BaseS3PciLib.inf
  S3BootScriptLib|TianoModulePkg/Library/PiDxeS3BootScriptLib/DxeS3BootScriptLib.inf
  IoLib|MdePkg/Library/BaseIoLibIntrinsic/BaseIoLibIntrinsic.inf
  CpuConfigLib|IA32FamilyCpuPkg/Library/CpuConfigLib/CpuConfigLib.inf
  HiiLib|MdeModulePkg/Library/UefiHiiLib/UefiHiiLib.inf
  UefiHiiServicesLib|MdeModulePkg/Library/UefiHiiServicesLib/UefiHiiServicesLib.inf
  SmmLib|MdePkg/Library/SmmLibNull/SmmLibNull.inf
  DxeServicesLib|MdePkg/Library/DxeServicesLib/DxeServicesLib.inf

[LibraryClasses.common.DXE_RUNTIME_DRIVER]
  UefiDriverEntryPoint|MdePkg/Library/UefiDriverEntryPoint/UefiDriverEntryPoint.inf
  UefiRuntimeServicesTableLib|MdePkg/Library/UefiRuntimeServicesTableLib/UefiRuntimeServicesTableLib.inf
  UefiBootServicesTableLib|MdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf
  UefiRuntimeLib|MdePkg/Library/UefiRuntimeLib/UefiRuntimeLib.inf
  IoLib|MdePkg/Library/BaseIoLibIntrinsic/BaseIoLibIntrinsic.inf
  S3BootScriptLib|TianoModulePkg/Library/DxeS3BootScriptLib/DxeS3BootScriptLib.inf
  SmmLib|MdePkg/Library/SmmLibNull/SmmLibNull.inf
  DxeServicesLib|MdePkg/Library/DxeServicesLib/DxeServicesLib.inf
  DxeServicesTableLib|MdePkg/Library/DxeServicesTableLib/DxeServicesTableLib.inf
  MemoryAllocationLib|MdePkg/Library/UefiMemoryAllocationLib/UefiMemoryAllocationLib.inf
  UefiLib|MdePkg/Library/UefiLib/UefiLib.inf

[LibraryClasses.common.DXE_SMM_DRIVER]
  UefiDriverEntryPoint|MdePkg/Library/UefiDriverEntryPoint/UefiDriverEntryPoint.inf
  UefiBootServicesTableLib|MdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf
  SmmServicesTableLib|MdePkg/Library/SmmServicesTableLib/SmmServicesTableLib.inf
  S3BootScriptLib|TianoModulePkg/Library/PiDxeS3BootScriptLib/DxeS3BootScriptLib.inf
  SmmLib|MdePkg/Library/SmmLibNull/SmmLibNull.inf
  UefiLib|MdePkg/Library/UefiLib/UefiLib.inf
  MemoryAllocationLib|MdePkg/Library/SmmMemoryAllocationLib/SmmMemoryAllocationLib.inf
  UefiRuntimeServicesTableLib|MdePkg/Library/UefiRuntimeServicesTableLib/UefiRuntimeServicesTableLib.inf
  HobLib|MdePkg/Library/DxeHobLib/DxeHobLib.inf
  CpuConfigLib|IA32FamilyCpuPkg/Library/CpuConfigLib/CpuConfigLib.inf

################################################################################
#
# Pcd Section - list of all EDK II PCD Entries defined by this Platform
#
################################################################################
[PcdsFeatureFlag]
  gEfiMdePkgTokenSpaceGuid.PcdComponentNameDisable|FALSE
  gEfiMdePkgTokenSpaceGuid.PcdDriverDiagnosticsDisable|FALSE
  gEfiMdePkgTokenSpaceGuid.PcdComponentName2Disable|TRUE
  gEfiMdePkgTokenSpaceGuid.PcdDriverDiagnostics2Disable|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuPrescottFamilyFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuCedarMillFamilyFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuConroeFamilyFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuThermalManagementFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuEnhancedCStateFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuMaxCpuIDValueLimitFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuMicrocodeUpdateFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuMachineCheckFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuSelectLfpAsBspFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuEistFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuExecuteDisableBitFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuFastStringFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuHardwarePrefetcherFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuAdjacentCacheLinePrefetchFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuDcuPrefetcherFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuIpPrefetcherFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuFerrSignalBreakFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuPeciFlag|TRUE
  gEfiCpuTokenSpaceGuid.PcdCpuIEDEnabled|FALSE
  gEfiCpuTokenSpaceGuid.PcdCpuLegacySmmHandlersSupported|FALSE
  gEfiCpuTokenSpaceGuid.PcdCpuSmmBlockStartupThisAp|FALSE
  gEfiCpuTokenSpaceGuid.PcdCpuSmmEnableBspElection|FALSE

[PcdsFixedAtBuild]
  gEfiMdePkgTokenSpaceGuid.PcdMaximumUnicodeStringLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdMaximumAsciiStringLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdMaximumLinkedListLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdSpinLockTimeout|10000000
  gEfiMdePkgTokenSpaceGuid.PcdDebugPropertyMask|0x0f
  gEfiMdePkgTokenSpaceGuid.PcdDebugPrintErrorLevel|0x80000000
  gEfiMdePkgTokenSpaceGuid.PcdReportStatusCodePropertyMask|0x06
  gEfiMdePkgTokenSpaceGuid.PcdDebugClearMemoryValue|0xAF
  gEfiMdePkgTokenSpaceGuid.PcdPerformanceLibraryPropertyMask|0
  gEfiMdePkgTokenSpaceGuid.PcdPostCodePropertyMask|0
  gEfiMdePkgTokenSpaceGuid.PcdPciExpressBaseAddress|0xE0000000
  gEfiMdePkgTokenSpaceGuid.PcdUefiLibMaxPrintBufferSize|320
  gEfiCpuTokenSpaceGuid.PcdCpuApInitTimeOutInMicroSeconds|50000
  gEfiCpuTokenSpaceGuid.PcdCpuMaxLogicalProcessorNumber|64
  gEfiCpuTokenSpaceGuid.PcdCpuApStackSize|0x8000
  gEfiCpuTokenSpaceGuid.PcdPlatformCpuMaxCoreFrequency|3800
  gEfiCpuTokenSpaceGuid.PcdPlatformCpuMaxFsbFrequency|1066
  gEfiCpuTokenSpaceGuid.PcdCpuMicrocodePatchAddress|0xfffba000
  gEfiCpuTokenSpaceGuid.PcdCpuNumberOfMicrocodePatches|4
  gEfiCpuTokenSpaceGuid.PcdPlatformHighPowerLoadLineSupport|TRUE
  gEfiCpuTokenSpaceGuid.PcdPlatformDynamicVidSupport|TRUE
  gEfiCpuTokenSpaceGuid.PcdPlatformType|0
  gEfiCpuTokenSpaceGuid.PcdCpuIEDRamSize|0x20000
  gEfiCpuTokenSpaceGuid.PcdCpuMaxNumberOfLegacySmmHandlers|16
  gEfiCpuTokenSpaceGuid.PcdCpuSmmApSyncTimeout|1000000
  gEfiCpuTokenSpaceGuid.PcdCpuSmmStackSize|0x2000

################################################################################
#
# Pcd Dynamic Section - list of all EDK II PCD Entries defined by this Platform
#
################################################################################

[PcdsDynamicDefault.common.DEFAULT]
  gEfiCpuTokenSpaceGuid.PcdCpuProcessorFeatureUserConfiguration|0xffffffff
  gEfiCpuTokenSpaceGuid.PcdCpuProcessorFeatureCapability|0
  gEfiCpuTokenSpaceGuid.PcdCpuProcessorFeatureSetting|0
  gEfiCpuTokenSpaceGuid.PcdCpuConfigContextBuffer|0
  gEfiCpuTokenSpaceGuid.PcdCpuCallbackSignal|0
  gEfiCpuTokenSpaceGuid.PcdPlatformCpuFrequencyLists|0
  gEfiCpuTokenSpaceGuid.PcdPlatformCpuSocketNames|0
  gEfiCpuTokenSpaceGuid.PcdPlatformCpuAssetTags|0
  gEfiCpuTokenSpaceGuid.PcdCpuPageTableAddress|0
  gEfiCpuTokenSpaceGuid.PcdCpuMtrrTableAddress|0
  gEfiCpuTokenSpaceGuid.PcdIsPowerOnReset|FALSE
  gEfiCpuTokenSpaceGuid.PcdCpuVtLtFlag|TRUE

###################################################################################################
#
# Components Section - list of the modules and components that will be processed by compilation
#                      tools and the EDK II tools to generate PE32/PE32+/Coff image files.
#
# Note: The EDK II DSC file is not used to specify how compiled binary images get placed
#       into firmware volume images. This section is just a list of modules to compile from
#       source into UEFI-compliant binaries.
#       It is the FDF file that contains information on combining binary files into firmware
#       volume images, whose concept is beyond UEFI and is described in PI specification.
#       Binary modules do not need to be listed in this section, as they should be
#       specified in the FDF file. For example: Shell binary (Shell_Full.efi), FAT binary (Fat.efi),
#       Logo (Logo.bmp), and etc.
#       There may also be modules listed in this section that are not required in the FDF file,
#       When a module listed here is excluded from FDF file, then UEFI-compliant binary will be
#       generated for it, but the binary will not be put into any firmware volume.
#
###################################################################################################

[Components]
  IA32FamilyCpuPkg/Library/CpuConfigLib/CpuConfigLib.inf
  IA32FamilyCpuPkg/Library/CpuLocalApicTimerLib/CpuLocalApicTimerLib.inf
  IA32FamilyCpuPkg/Library/CpuOnlyResetLibNull/CpuOnlyResetLibNull.inf
  IA32FamilyCpuPkg/Library/PlatformSecLibNull/PlatformSecLibNull.inf
  IA32FamilyCpuPkg/SecCore/SecCore.inf
  IA32FamilyCpuPkg/CpuArchDxe/CpuArchDxe.inf
  IA32FamilyCpuPkg/CpuMpDxe/CpuMpDxe.inf
  IA32FamilyCpuPkg/CpuPei/CpuPei.inf
  IA32FamilyCpuPkg/CpuS3/CpuS3.inf
  IA32FamilyCpuPkg/PiSmmCpuDxeSmm/PiSmmCpuDxeSmm.inf
  IA32FamilyCpuPkg/SmmBase/SmmBase.inf
  IA32FamilyCpuPkg/SmmCoreDispatcher/SmmCoreDispatcher.inf
  IA32FamilyCpuPkg/SmmStandaloneRelocate/SmmStandaloneRelocate.inf
