//
// This file contains 'Framework Code' and is licensed as such 
// under the terms of your license agreement with Intel or your
// vendor.  This file may not be modified, except as allowed by
// additional terms of your license agreement.                 
//
/** @file
  Internal header file used by FWH flash chip support. All FWH flash
  programming command, status register bit fields are defined in this 
  file. 

  
Copyright (c) 2011, Intel Corporation. All rights reserved. 
This software and associated documentation (if any) is furnished
under a license and may only be used or copied in accordance
with the terms of the license. Except as permitted by such
license, no part of this software or documentation may be
reproduced, stored in a retrieval system, or transmitted in any
form or by any means without the express written consent of
Intel Corporation.

**/

#ifndef __FWHFLASH_INTERNAL_H
#define __FWHFLASH_INTERNAL_H


#include "CommonHeader.h"

#define FVB_MAX_RETRY_TIMES             10000000

#define FWH_BLOCK_ERASE_SETUP_COMMAND   0x20
#define FWH_BLOCK_ERASE_CONFIRM_COMMAND 0xd0
#define FWH_READ_STATUS_COMMAND         0x70
#define FWH_CLEAR_STATUS_COMMAND        0x50
#define FWH_READ_ARRAY_COMMAND          0xff
#define FWH_WRITE_SETUP_COMMAND         0x40
#define FWH_OPEN_FEATURE_SPACE_COMMAND  0x91
#define FWH_READ_LOCK                   (1 << 2)
#define FWH_LOCK_DOWN                   (1 << 1)
#define FWH_WRITE_LOCK                  1
#define FWH_WRITE_STATE_STATUS          (1 << 7)
#define FWH_ERASE_STATUS                (1 << 5)
#define FWH_PROGRAM_STATUS              (1 << 4)
#define FWH_VPP_STATUS                  (1 << 3)


#endif

