//
// This file contains 'Framework Code' and is licensed as such 
// under the terms of your license agreement with Intel or your
// vendor.  This file may not be modified, except as allowed by
// additional terms of your license agreement.                 
//
/** @file 
  Internal header file used by SPI flash chip support. All SPI flash
  programming commands, status register bit fields are defined in this 
  file. 

  
Copyright (c) 2011, Intel Corporation. All rights reserved. 
This software and associated documentation (if any) is furnished
under a license and may only be used or copied in accordance
with the terms of the license. Except as permitted by such
license, no part of this software or documentation may be
reproduced, stored in a retrieval system, or transmitted in any
form or by any means without the express written consent of
Intel Corporation.

**/
#ifndef _SPIFLASHCHIP_AT25DF641_H
#define _SPIFLASHCHIP_AT25DF641_H

#include <Base.h>

#include <Library/SpiFlashChip.h>
#include <Library/BaseMemoryLib.h>
#include <Library/DebugLib.h>

//
// Please get these commands from data sheet of flash chip used on 
// your platform.
//

/* SPI Command values */
#define SPI_AT25DF641_COMMAND_WRITE                  0x02
#define SPI_AT25DF641_COMMAND_READ                   0x03
#define SPI_AT25DF641_COMMAND_ERASE_32KBYTE          0x52 // We must use 0x8000 (32Kbyte) in SPI_CHIP_LAYOUT
#define SPI_AT25DF641_COMMAND_ERASE_4KBYTE           0x20
#define SPI_AT25DF641_COMMAND_WRITE_DISABLE          0x04
#define SPI_AT25DF641_COMMAND_READ_STATUS            0x05
#define SPI_AT25DF641_COMMAND_WRITE_ENABLE           0x06
#define SPI_AT25DF641_COMMAND_READ_ID                0x9f // AT25DF641 does support JEDEC ID but we are not using for consistency.
#define SPI_AT25DF641_COMMAND_WRITE_S_EN             0x06 // AT25DF641 enables write status via the write enable opcode.  
#define SPI_AT25DF641_COMMAND_WRITE_S                0x01

#endif

