#
# This file contains 'Framework Code' and is licensed as such 
# under the terms of your license agreement with Intel or your
# vendor.  This file may not be modified, except as allowed by
# additional terms of your license agreement.                 
#
## @file
# EFI/Framework Reference Module Package for All Architectures
#
# This FPD file is used for Package Level build.
#
# Copyright (c) 2006 - 2011, Intel Corporation
#
#  All rights reserved.
#    This software and associated documentation (if any) is furnished
#    under a license and may only be used or copied in accordance
#    with the terms of the license. Except as permitted by such
#    license, no part of this software or documentation may be
#    reproduced, stored in a retrieval system, or transmitted in any
#    form or by any means without the express written consent of
#    Intel Corporation.
#
##

################################################################################
#
# Defines Section - statements that will be processed to create a Makefile.
#
################################################################################
[Defines]
  PLATFORM_NAME                  = OldFlashDevicePkg
  PLATFORM_GUID                  = F605E1C8-E046-4E01-B0D9-5835E2E59310
  PLATFORM_VERSION               = 0.1
  DSC_SPECIFICATION              = 0x00010005
  OUTPUT_DIRECTORY               = Build/OldFlashDevice
  SUPPORTED_ARCHITECTURES        = IA32|IPF|X64|EBC
  BUILD_TARGETS                  = DEBUG|RELEASE
  SKUID_IDENTIFIER               = DEFAULT



################################################################################
#
# Library Class section - list of all Library Classes needed by this Platform.
#
################################################################################

[LibraryClasses.IA32]
  IoLib|OldMdePkg/Library/BaseIoLibIntrinsic/BaseIoLibIntrinsic.inf

[LibraryClasses.common.DXE_CORE]
  DebugLib|OldMdePkg/Library/PeiDxeDebugLibReportStatusCode/PeiDxeDebugLibReportStatusCode.inf
  ReportStatusCodeLib|OldMdePkg/Library/DxeReportStatusCodeLib/DxeReportStatusCodeLib.inf
  UefiBootServicesTableLib|OldMdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf

[LibraryClasses]
  PrintLib|OldMdePkg/Library/BasePrintLib/BasePrintLib.inf
  DebugLib|OldMdePkg/Library/BaseDebugLibNull/BaseDebugLibNull.inf
  BaseMemoryLib|OldMdePkg/Library/BaseMemoryLib/BaseMemoryLib.inf
  BaseLib|OldMdePkg/Library/BaseLib/BaseLib.inf
  SynchronizationLib|MdePkg/Library/BaseSynchronizationLib/BaseSynchronizationLib.inf
  CpuLib|MdePkg/Library/BaseCpuLib/BaseCpuLib.inf
  S3IoLib|TianoModulePkg/Library/DxeS3IoLib/DxeS3IoLib.inf
  BootScriptLib|TianoModulePkg/Library/DxeBootScriptLib/DxeBootScriptLib.inf

[LibraryClasses.common.PEIM]
  DebugLib|OldMdePkg/Library/PeiDxeDebugLibReportStatusCode/PeiDxeDebugLibReportStatusCode.inf

[LibraryClasses.common.DXE_SMM_DRIVER]
  PcdLib|OldMdePkg/Library/DxePcdLib/DxePcdLib.inf
  DebugLib|OldMdePkg/Library/PeiDxeDebugLibReportStatusCode/PeiDxeDebugLibReportStatusCode.inf
  ReportStatusCodeLib|OldMdePkg/Library/DxeReportStatusCodeLib/DxeReportStatusCodeLib.inf
  UefiBootServicesTableLib|OldMdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf
  IoLib|OldMdePkg/Library/DxeIoLibCpuIo/DxeIoLibCpuIo.inf

[LibraryClasses.common.DXE_SAL_DRIVER]
  DebugLib|OldMdePkg/Library/PeiDxeDebugLibReportStatusCode/PeiDxeDebugLibReportStatusCode.inf
  UefiDriverEntryPoint|OldMdePkg/Library/UefiDriverEntryPoint/UefiDriverEntryPoint.inf
  IoLib|OldMdePkg/Library/DxeIoLibCpuIo/DxeIoLibCpuIo.inf
  PcdLib|OldMdePkg/Library/DxePcdLib/DxePcdLib.inf
  ReportStatusCodeLib|OldMdePkg/Library/DxeReportStatusCodeLib/DxeReportStatusCodeLib.inf
  UefiBootServicesTableLib|OldMdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf

[LibraryClasses.common.PEI_CORE]
  DebugLib|OldMdePkg/Library/PeiDxeDebugLibReportStatusCode/PeiDxeDebugLibReportStatusCode.inf

[LibraryClasses.common.DXE_RUNTIME_DRIVER]
  DebugLib|OldMdePkg/Library/PeiDxeDebugLibReportStatusCode/PeiDxeDebugLibReportStatusCode.inf
  UefiDriverModelLib|OldMdePkg/Library/UefiDriverModelLib/UefiDriverModelLib.inf
  UefiDriverEntryPoint|OldMdePkg/Library/UefiDriverEntryPoint/UefiDriverEntryPoint.inf
  IoLib|MdePkg/Library/DxeIoLibCpuIo/DxeIoLibCpuIo.inf
  UefiBootServicesTableLib|MdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf
  PcdLib|MdePkg/Library/DxePcdLib/DxePcdLib.inf
  ReportStatusCodeLib|MdePkg/Library/DxeReportStatusCodeLib/DxeReportStatusCodeLib.inf

[LibraryClasses.common.UEFI_DRIVER]
  DebugLib|MdePkg/Library/PeiDxeDebugLibReportStatusCode/PeiDxeDebugLibReportStatusCode.inf
  UefiDriverModelLib|MdePkg/Library/UefiDriverModelLib/UefiDriverModelLib.inf
  UefiDriverEntryPoint|MdePkg/Library/UefiDriverEntryPoint/UefiDriverEntryPoint.inf
  IoLib|MdePkg/Library/DxeIoLibCpuIo/DxeIoLibCpuIo.inf
  UefiBootServicesTableLib|MdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf
  PcdLib|MdePkg/Library/DxePcdLib/DxePcdLib.inf
  ReportStatusCodeLib|MdePkg/Library/DxeReportStatusCodeLib/DxeReportStatusCodeLib.inf

[LibraryClasses.common.DXE_DRIVER]
  DebugLib|MdePkg/Library/PeiDxeDebugLibReportStatusCode/PeiDxeDebugLibReportStatusCode.inf
  UefiDriverModelLib|MdePkg/Library/UefiDriverModelLib/UefiDriverModelLib.inf
  UefiDriverEntryPoint|MdePkg/Library/UefiDriverEntryPoint/UefiDriverEntryPoint.inf
  IoLib|MdePkg/Library/DxeIoLibCpuIo/DxeIoLibCpuIo.inf
  UefiBootServicesTableLib|MdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf
  PcdLib|MdePkg/Library/DxePcdLib/DxePcdLib.inf
  ReportStatusCodeLib|MdePkg/Library/DxeReportStatusCodeLib/DxeReportStatusCodeLib.inf

[LibraryClasses.common.UEFI_APPLICATION]
  PcdLib|MdePkg/Library/DxePcdLib/DxePcdLib.inf
  DebugLib|MdePkg/Library/PeiDxeDebugLibReportStatusCode/PeiDxeDebugLibReportStatusCode.inf
  ReportStatusCodeLib|MdePkg/Library/DxeReportStatusCodeLib/DxeReportStatusCodeLib.inf
  UefiBootServicesTableLib|MdePkg/Library/UefiBootServicesTableLib/UefiBootServicesTableLib.inf
  IoLib|MdePkg/Library/DxeIoLibCpuIo/DxeIoLibCpuIo.inf

[LibraryClasses.IPF]
  IoLib|MdePkg/Library/BaseIoLibIntrinsic/BaseIoLibIntrinsic.inf

[LibraryClasses.X64]
  IoLib|MdePkg/Library/BaseIoLibIntrinsic/BaseIoLibIntrinsic.inf

################################################################################
#
# Pcd Section - list of all EDK II PCD Entries defined by this Platform
#
################################################################################

[PcdsPatchableInModule.X64]
  gEfiMdePkgTokenSpaceGuid.PcdDebugPrintErrorLevel|0x80000000

[PcdsFixedAtBuild.IA32]
  gEfiMdePkgTokenSpaceGuid.PcdMaximumUnicodeStringLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdMaximumAsciiStringLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdMaximumLinkedListLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdSpinLockTimeout|10000000

[PcdsFixedAtBuild.IPF]
  gEfiMdePkgTokenSpaceGuid.PcdMaximumUnicodeStringLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdMaximumAsciiStringLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdMaximumLinkedListLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdSpinLockTimeout|10000000

[PcdsFixedAtBuild.X64]
  gEfiMdePkgTokenSpaceGuid.PcdMaximumUnicodeStringLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdMaximumAsciiStringLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdSpinLockTimeout|10000000
  gEfiMdePkgTokenSpaceGuid.PcdMaximumLinkedListLength|1000000
  gEfiMdePkgTokenSpaceGuid.PcdReportStatusCodePropertyMask|0x6
  gEfiMdePkgTokenSpaceGuid.PcdDebugPropertyMask|0x0f
  gEfiMdePkgTokenSpaceGuid.PcdDebugClearMemoryValue|0xAF

[PcdsFeatureFlag.IA32]
  gEfiMdePkgTokenSpaceGuid.PcdComponentNameDisable|FALSE
  gEfiMdePkgTokenSpaceGuid.PcdDriverDiagnosticsDisable|FALSE

[PcdsFeatureFlag.IPF]
  gEfiMdePkgTokenSpaceGuid.PcdComponentNameDisable|FALSE
  gEfiMdePkgTokenSpaceGuid.PcdDriverDiagnosticsDisable|FALSE

[PcdsFeatureFlag.X64]
  gEfiMdePkgTokenSpaceGuid.PcdComponentNameDisable|FALSE
  gEfiMdePkgTokenSpaceGuid.PcdDriverDiagnosticsDisable|FALSE


###################################################################################################
#
# Components Section - list of the modules and components that will be processed by compilation
#                      tools and the EDK II tools to generate PE32/PE32+/Coff image files.
#
# Note: The EDK II DSC file is not used to specify how compiled binary images get placed
#       into firmware volume images. This section is just a list of modules to compile from
#       source into UEFI-compliant binaries.
#       It is the FDF file that contains information on combining binary files into firmware
#       volume images, whose concept is beyond UEFI and is described in PI specification.
#       Binary modules do not need to be listed in this section, as they should be
#       specified in the FDF file. For example: Shell binary (Shell_Full.efi), FAT binary (Fat.efi),
#       Logo (Logo.bmp), and etc.
#       There may also be modules listed in this section that are not required in the FDF file,
#       When a module listed here is excluded from FDF file, then UEFI-compliant binary will be
#       generated for it, but the binary will not be put into any firmware volume.
#
###################################################################################################

[Components.IA32]
  OldFlashDevicePkg/Library/SpiFlashChipSST25LF080A/SpiFlashChipSST25LF080A.inf
  OldFlashDevicePkg/Library/SpiFlashChipSST25VF016B/SpiFlashChipSST25VF016B.inf
  OldFlashDevicePkg/Library/FwhFlashChipIntel82802A/FwhFlashChipIntel82802A.inf
  OldFlashDevicePkg/Library/SpiFlashChipAT25DF641/SpiFlashChipAT25DF641.inf
  
[Components.IPF]
  OldFlashDevicePkg/Library/SpiFlashChipSST25LF080A/SpiFlashChipSST25LF080A.inf
  OldFlashDevicePkg/Library/SpiFlashChipSST25VF016B/SpiFlashChipSST25VF016B.inf
  OldFlashDevicePkg/Library/FwhFlashChipIntel82802A/FwhFlashChipIntel82802A.inf
  OldFlashDevicePkg/Library/SpiFlashChipAT25DF641/SpiFlashChipAT25DF641.inf

[Components.X64]
  OldFlashDevicePkg/Library/SpiFlashChipSST25LF080A/SpiFlashChipSST25LF080A.inf
  OldFlashDevicePkg/Library/SpiFlashChipSST25VF016B/SpiFlashChipSST25VF016B.inf
  OldFlashDevicePkg/Library/FwhFlashChipIntel82802A/FwhFlashChipIntel82802A.inf
  OldFlashDevicePkg/Library/SpiFlashChipAT25DF641/SpiFlashChipAT25DF641.inf
  
[Components.EBC]
  OldFlashDevicePkg/Library/SpiFlashChipSST25LF080A/SpiFlashChipSST25LF080A.inf
  OldFlashDevicePkg/Library/SpiFlashChipSST25VF016B/SpiFlashChipSST25VF016B.inf
  OldFlashDevicePkg/Library/FwhFlashChipIntel82802A/FwhFlashChipIntel82802A.inf
  OldFlashDevicePkg/Library/SpiFlashChipAT25DF641/SpiFlashChipAT25DF641.inf
